CricketDrawParserInternal::Shape Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
CricketDrawParserInternal::Shape Struct Reference

small structure of CricketDrawParserInternal used to stored a shape More...

## Public Types
enum | Type { Basic, Grate, Group, GroupEnd, Picture, StarBurst, Textbox, Unknown }
| the different shape type More...

## Public Member Functions
| Shape ()
| constructor More...
MWAWTransformation | getTransformation (MWAWTransformation const &transform) const
| returns the current transformation More...

## Public Attributes
int | m_id
| the shape id More...
Type | m_type
| the shape type More...
long | m_ids [2]
| the ids More...
MWAWGraphicShape | m_shape
| the shape More...
MWAWBox2f | m_box [2]
| the main box (before translation and after translation) More...
MWAWVec2f | m_translation
| the translation More...
float | m_rotation
| the rotation angle More...
float | m_shear
| the shear angle More...
bool | m_flip [2]
| two bool to indicated we need to flip the shape or not More...
MWAWGraphicStyle | m_style
| the style More...
std::vector< MWAWVec2f > | m_vertices
| the list of point More...
bool | m_closed
| flag to know if the shape is closed More...
bool | m_locked
| flag to know if the shape is locked More...
bool | m_smoothed
| flag to know if the shape is smoothed More...
MWAWVec2f | m_corners
| the rectOval corner size More...
MWAWVec2i | m_angles
| the arc limits More...
int | m_grateN
| the grate number More...
int | m_grateType
| the grate type More...
int | m_starBustAngles [3]
| the starbust angle: min, max, delta More...
long | m_groupIds [2]
| some unknown group id More...
MWAWEntry | m_text
| the text entry More...
MWAWParagraph | m_paragraph
| the paragraph style More...
MWAWColor | m_textColor
| the text color More...
MWAWEntry | m_bitmap
| the bitmap entry More...
MWAWBox2i | m_bitmapDimension
| the bitmap dimension More...
int | m_bitmapRowSize
| the bitmap row size More...
int | m_bitmapScale
| the bitmap scaling More...
bool | m_isSent
| flag to know if a shape is already sent More...

## Detailed Description

small structure of CricketDrawParserInternal used to stored a shape

## Member Enumeration Documentation

## ◆ Type

enum CricketDrawParserInternal::Shape::Type

the different shape type

Enumerator
Basic |
Grate |
Group |
GroupEnd |
Picture |
StarBurst |
Textbox |
Unknown |

## Constructor & Destructor Documentation

## ◆ Shape()

CricketDrawParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getTransformation()

MWAWTransformation CricketDrawParserInternal::Shape::getTransformation | ( | MWAWTransformation const & | transform | ) | const
| inline

returns the current transformation

Referenced by CricketDrawParser::send(), and CricketDrawParser::sendBitmap().

## Member Data Documentation

## ◆ m_angles

MWAWVec2i CricketDrawParserInternal::Shape::m_angles

the arc limits

Referenced by CricketDrawParser::readShape().

## ◆ m_bitmap

MWAWEntry CricketDrawParserInternal::Shape::m_bitmap

the bitmap entry

Referenced by CricketDrawParser::readShape(), and CricketDrawParser::sendBitmap().

## ◆ m_bitmapDimension

MWAWBox2i CricketDrawParserInternal::Shape::m_bitmapDimension

the bitmap dimension

Referenced by CricketDrawParser::readShape(), and CricketDrawParser::sendBitmap().

## ◆ m_bitmapRowSize

int CricketDrawParserInternal::Shape::m_bitmapRowSize

the bitmap row size

Referenced by CricketDrawParser::readShape(), and CricketDrawParser::sendBitmap().

## ◆ m_bitmapScale

int CricketDrawParserInternal::Shape::m_bitmapScale

the bitmap scaling

Referenced by CricketDrawParser::readShape().

## ◆ m_box

MWAWBox2f CricketDrawParserInternal::Shape::m_box[2]

the main box (before translation and after translation)

Referenced by getTransformation(), CricketDrawParser::readShape(), CricketDrawParser::send(), and CricketDrawParser::sendBitmap().

## ◆ m_closed

bool CricketDrawParserInternal::Shape::m_closed

flag to know if the shape is closed

Referenced by CricketDrawParser::readShape().

## ◆ m_corners

MWAWVec2f CricketDrawParserInternal::Shape::m_corners

the rectOval corner size

Referenced by CricketDrawParser::readShape().

## ◆ m_flip

bool CricketDrawParserInternal::Shape::m_flip[2]

two bool to indicated we need to flip the shape or not

Referenced by getTransformation(), CricketDrawParser::readShape(), CricketDrawParser::send(), and Shape().

## ◆ m_grateN

int CricketDrawParserInternal::Shape::m_grateN

the grate number

Referenced by CricketDrawParser::readShape(), and CricketDrawParser::send().

## ◆ m_grateType

int CricketDrawParserInternal::Shape::m_grateType

the grate type

Referenced by CricketDrawParser::readShape(), and CricketDrawParser::send().

## ◆ m_groupIds

long CricketDrawParserInternal::Shape::m_groupIds[2]

some unknown group id

Referenced by CricketDrawParser::readShape(), and Shape().

## ◆ m_id

int CricketDrawParserInternal::Shape::m_id

the shape id

Referenced by CricketDrawParser::readShape(), CricketDrawParser::send(), and CricketDrawParser::sendBitmap().

## ◆ m_ids

long CricketDrawParserInternal::Shape::m_ids[2]

the ids

Referenced by CricketDrawParser::readShape(), and Shape().

## ◆ m_isSent

bool CricketDrawParserInternal::Shape::m_isSent
| mutable

flag to know if a shape is already sent

Referenced by CricketDrawParser::send().

## ◆ m_locked

bool CricketDrawParserInternal::Shape::m_locked

flag to know if the shape is locked

Referenced by CricketDrawParser::readShape().

## ◆ m_paragraph

MWAWParagraph CricketDrawParserInternal::Shape::m_paragraph

the paragraph style

Referenced by CricketDrawParser::readShape().

## ◆ m_rotation

float CricketDrawParserInternal::Shape::m_rotation

the rotation angle

Referenced by getTransformation(), and CricketDrawParser::readShape().

## ◆ m_shape

MWAWGraphicShape CricketDrawParserInternal::Shape::m_shape

the shape

Referenced by CricketDrawParser::readShape(), and CricketDrawParser::send().

## ◆ m_shear

float CricketDrawParserInternal::Shape::m_shear

the shear angle

Referenced by getTransformation(), and CricketDrawParser::readShape().

## ◆ m_smoothed

bool CricketDrawParserInternal::Shape::m_smoothed

flag to know if the shape is smoothed

Referenced by CricketDrawParser::readShape().

## ◆ m_starBustAngles

int CricketDrawParserInternal::Shape::m_starBustAngles[3]

the starbust angle: min, max, delta

Referenced by CricketDrawParser::readShape(), CricketDrawParser::send(), and Shape().

## ◆ m_style

MWAWGraphicStyle CricketDrawParserInternal::Shape::m_style

the style

Referenced by CricketDrawParser::readShape(), and CricketDrawParser::send().

## ◆ m_text

MWAWEntry CricketDrawParserInternal::Shape::m_text

the text entry

Referenced by CricketDrawParser::readShape().

## ◆ m_textColor

MWAWColor CricketDrawParserInternal::Shape::m_textColor

the text color

Referenced by CricketDrawParser::readShape(), and CricketDrawParser::sendBitmap().

## ◆ m_translation

MWAWVec2f CricketDrawParserInternal::Shape::m_translation

the translation

Referenced by getTransformation(), and CricketDrawParser::readShape().

## ◆ m_type

Type CricketDrawParserInternal::Shape::m_type

the shape type

Referenced by CricketDrawParser::readShape(), and CricketDrawParser::send().

## ◆ m_vertices

std::vector<MWAWVec2f> CricketDrawParserInternal::Shape::m_vertices

the list of point

Referenced by CricketDrawParser::readShape().

The documentation for this struct was generated from the following file:

- CricketDrawParser.cxx